#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.15
visibility:           public
id:                   foldl-1.4.15-KjsEdrtBZdz6UzcFhyXTVN
key:                  foldl-1.4.15-KjsEdrtBZdz6UzcFhyXTVN
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  b5b6ad754c1426bbdac1169415e46ce8
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.15
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.15
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.15-KjsEdrtBZdz6UzcFhyXTVN
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-7lZolX95Lca7k3n9H70HuQ containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.3.0-FviSDMTOEDP4a4xPfq9DNL
    primitive-0.7.4.0-vwDq7840sM3xgs4vWuDTK
    profunctors-5.6.2-778V1sJYFAi9P8jOId2LV
    random-1.2.1.1-BxaVw6mUjjQHmGxFEtiVFu
    semigroupoids-5.3.7-71OTjCvYhOKG96ipAmsOZh text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-8KEpYsQ9zGXBRjdYU1dM21
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

